// Jason Brillante "Damdoshi"
// Hanged Bunny Studio 2014-2015
//
// Sewer Glue

#include		"GameOver.hpp"

bool			hbs::GameOver::Play(uint64_t		delay)
{
  (void)delay;

  if (arriving)
    {
      arriving -= 1;
      return (false);
    }

  if (step++ == 200)
    {
      warping = true;
      destination = hbs::SewerGlue::MENU;
      warp_animation = 0;
    }

  if (warping && (warp_animation += 1) >= 9)
    sg->module[sg->klondike = destination]->Reset();
  return (false);
}

